is_empty_or_1.hpp File Reference
`#include <msgpack/preprocessor/control/iif.hpp>`
`#include <msgpack/preprocessor/facilities/empty.hpp>`
`#include <msgpack/preprocessor/facilities/identity.hpp>`
`#include <msgpack/preprocessor/facilities/is_1.hpp>`
`#include <msgpack/preprocessor/facilities/is_empty.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_IS_EMPTY_OR_1(x)

## Macro Definition Documentation

## MSGPACK_PP_IS_EMPTY_OR_1

#define MSGPACK_PP_IS_EMPTY_OR_1 | ( |  | x | ) |

Value:
MSGPACK_PP_IIF( \
MSGPACK_PP_IS_EMPTY(x MSGPACK_PP_EMPTY()), \
MSGPACK_PP_IDENTITY(1), \
MSGPACK_PP_IS_1 \
)(x) \
MSGPACK_PP_IS_1
#define MSGPACK_PP_IS_1(x)
Definition: is_1.hpp:20
MSGPACK_PP_IDENTITY
#define MSGPACK_PP_IDENTITY(item)
Definition: identity.hpp:23
MSGPACK_PP_IS_EMPTY
#define MSGPACK_PP_IS_EMPTY(x)
Definition: is_empty.hpp:45
MSGPACK_PP_EMPTY
#define MSGPACK_PP_EMPTY()
Definition: empty.hpp:21
MSGPACK_PP_IIF
#define MSGPACK_PP_IIF(bit, t, f)
Definition: iif.hpp:20